Hooks:PostHook(WeaponTweakData, "init", "StandaloneM16IronSights:init", function (self)
    local list_append = table.list_append
    local Vector3 = Vector3

    self.m16.attachment_points = self.m16.attachment_points or {}

    list_append(self.m16.attachment_points, {
        {
            name = "a_gb_railed_fg_standard",
            base_a_obj = "a_fg",
            position = Vector3(0, 11.8, 0)
        },
        {
            name = "a_gb_railed_fg_railed",
            base_a_obj = "a_fg",
            position = Vector3(0, 11.35, 0)
        }
    })

    self.new_m4.attachment_points = self.new_m4.attachment_points or {}

    list_append(self.new_m4.attachment_points, {
        {
            name = "a_gb_frontsight_fg_rail",
            base_a_obj = "a_fg",
            position = Vector3(0, 18.1, 0)
        },
        {
            name = "a_gb_frontsight_fg_lvoa",
            base_a_obj = "a_fg",
            position = Vector3(0, 27.25, 0)
        },
        {
            name = "a_gb_frontsight_fg_jp",
            base_a_obj = "a_fg",
            position = Vector3(0, 30.85, 0)
        },
        {
            name = "a_gb_railed_fg_lvoa",
            base_a_obj = "a_fg",
            position = Vector3(0, 9.15, 0)
        },
        {
            name = "a_gb_railed_fg_jp",
            base_a_obj = "a_fg",
            position = Vector3(0, 13.1, 0)
        }
    })
end)
